Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.stream
Class ConsumerService

    java.lang.Object
      org.red5.server.stream.ConsumerService

All Implemented Interfaces:
  IConsumerService

    public class ConsumerService

extends Object
implements IConsumerService

Basic consumer service implementation. Used to get pushed messages at consumer endpoint.

Field Summary

Fields inherited from interface org.red5.server.stream.IConsumerService
`KEY`

Constructor Summary
`ConsumerService()`

Method Summary
`IMessageOutput` | `getConsumerOutput(IClientStream stream)` Handles pushed messages

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsumerService

    public ConsumerService()

Method Detail

### getConsumerOutput

    public IMessageOutput getConsumerOutput(IClientStream stream)

  Handles pushed messages

  Specified by:
    `getConsumerOutput` in interface `IConsumerService`
  Parameters:
    `stream` - Client stream object
  Returns:
    Message object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project